- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends

# QXmlStreamAttribute Class Reference

Search for all occurrences

## Detailed Description

Definition at line 135 of file qxmlstream.h.

`#include <qxmlstream.h>`

List of all members.

## Public Member Functions
| QXmlStreamAttribute ()
| QXmlStreamAttribute (const QString &qualifiedName, const QString &value)
| QXmlStreamAttribute (const QString &namespaceUri, const QString &name, const QString &value)
| QXmlStreamAttribute (const QXmlStreamAttribute &)
QXmlStreamAttribute & | operator= (const QXmlStreamAttribute &)
| ~QXmlStreamAttribute ()
QStringRef | namespaceUri () const
QStringRef | name () const
QStringRef | qualifiedName () const
QStringRef | prefix () const
QStringRef | value () const
bool | isDefault () const
bool | operator== (const QXmlStreamAttribute &other) const
bool | operator!= (const QXmlStreamAttribute &other) const
## Friends
class | QXmlStreamReaderPrivate
class | QXmlStreamAttributes

## Constructor & Destructor Documentation

QXmlStreamAttribute | ( |  | ) |

QXmlStreamAttribute | ( | const QString & | qualifiedName,
|  | const QString & | value
| ) |  |

QXmlStreamAttribute | ( | const QString & | namespaceUri,
|  | const QString & | name,
|  | const QString & | value
| ) |  |

QXmlStreamAttribute | ( | const QXmlStreamAttribute & |  | ) |

~QXmlStreamAttribute | ( |  | ) |

## Member Function Documentation

QXmlStreamAttribute& operator= | ( | const QXmlStreamAttribute & |  | ) |

QStringRef namespaceUri | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 148 of file qxmlstream.h.

    { return m_namespaceUri; }

QStringRef name | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 149 of file qxmlstream.h.

    { return m_name; }

QStringRef qualifiedName | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 150 of file qxmlstream.h.

    { return m_qualifiedName; }

QStringRef prefix | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 151 of file qxmlstream.h.

                                         {
            return QStringRef(m_qualifiedName.string(),
                              m_qualifiedName.position(),
                              qMax(0, m_qualifiedName.size() - m_name.size() - 1));
        }

QStringRef value | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 156 of file qxmlstream.h.

    { return m_value; }

bool isDefault | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 157 of file qxmlstream.h.

    { return m_isDefault; }

bool operator== | ( | const QXmlStreamAttribute & | other | ) | const `[inline]`

Definition at line 158 of file qxmlstream.h.

                                                                       {
            return (value() == other.value()
                    && (namespaceUri().isNull() ? (qualifiedName() == other.qualifiedName())
                        : (namespaceUri() == other.namespaceUri() && name() == other.name())));
        }

bool operator!= | ( | const QXmlStreamAttribute & | other | ) | const `[inline]`

Definition at line 163 of file qxmlstream.h.

            { return !operator==(other); }

## Friends And Related Function Documentation

friend class QXmlStreamReaderPrivate `[friend]`

Search for all occurrences

Definition at line 139 of file qxmlstream.h.

friend class QXmlStreamAttributes `[friend]`

Search for all occurrences

Definition at line 140 of file qxmlstream.h.

The documentation for this class was generated from the following file:

- QtCore/qxmlstream.h

QXmlStreamAttribute QXmlStreamAttribute QXmlStreamAttribute QXmlStreamAttribute QXmlStreamAttribute QXmlStreamAttribute QXmlStreamAttribute QXmlStreamAttribute QXmlStreamAttribute QXmlStreamAttribute
QXmlStreamAttribute QXmlStreamAttribute QXmlStreamAttribute QXmlStreamAttribute QXmlStreamAttribute QXmlStreamAttribute QXmlStreamAttribute QXmlStreamAttribute QXmlStreamAttribute QXmlStreamAttribute